summaryrefslogtreecommitdiff
path: root/sbin/disklabel
diff options
context:
space:
mode:
authorMiod Vallat <miod@cvs.openbsd.org>2014-03-18 22:36:38 +0000
committerMiod Vallat <miod@cvs.openbsd.org>2014-03-18 22:36:38 +0000
commit954b1a417ec63f20d2dde0645d24641005375a40 (patch)
tree4d3b982016a572dbb41f88eb76f38a29039036bb /sbin/disklabel
parent7e9918e631c8d89e4daeae75c43b6381c34a8610 (diff)
Retire hp300, mvme68k and mvme88k ports. These ports have no users, keeping
this hardware alive is becoming increasingly difficult, and I should heed the message sent by the three disks which have died on me over the last few days. Noone sane will mourn these ports anyway. So long, and thanks for the fish.
Diffstat (limited to 'sbin/disklabel')
-rw-r--r--sbin/disklabel/Makefile9
-rw-r--r--sbin/disklabel/disklabel.c4
2 files changed, 4 insertions, 9 deletions
diff --git a/sbin/disklabel/Makefile b/sbin/disklabel/Makefile
index 4f1961ec5c2..a9bf781bc65 100644
--- a/sbin/disklabel/Makefile
+++ b/sbin/disklabel/Makefile
@@ -1,4 +1,4 @@
-# $OpenBSD: Makefile,v 1.54 2013/10/31 22:37:17 schwarze Exp $
+# $OpenBSD: Makefile,v 1.55 2014/03/18 22:36:30 miod Exp $
PROG= disklabel
SRCS= disklabel.c dkcksum.c editor.c manual.c
@@ -37,8 +37,7 @@ CFLAGS+= -DSEEALSO="\"fdisk(8), installboot(8)\""
CFLAGS+= -DSEEALSO="\"fdisk(8)\""
.endif
-.if (${MACHINE} == "hp300") || (${MACHINE} == "hppa") || \
- (${MACHINE} == "hppa64") || (${MACHINE} == "vax")
+.if (${MACHINE} == "hppa") || (${MACHINE} == "hppa64") || (${MACHINE} == "vax")
CFLAGS+= -DNUMBOOT=1
.endif
@@ -51,10 +50,6 @@ CFLAGS+= -DSEEALSO="\"fdisk(8)\""
CFLAGS+= -DSEEALSO="\"fdisk(8), pdisk(8)\""
.endif
-.if (${MACHINE} == "mvme68k") || (${MACHINE} == "mvme88k")
-CFLAGS+= -DSEEALSO="\"installboot(8)\""
-.endif
-
.if (${MACHINE} == "solbourne") || (${MACHINE} == "sparc") || \
(${MACHINE} == "sparc64")
CFLAGS+= -DSEEALSO="\"installboot(8)\"" -DSUN_CYLCHECK -DSUN_AAT0
diff --git a/sbin/disklabel/disklabel.c b/sbin/disklabel/disklabel.c
index 27f7e31554d..495a36cda7e 100644
--- a/sbin/disklabel/disklabel.c
+++ b/sbin/disklabel/disklabel.c
@@ -1,4 +1,4 @@
-/* $OpenBSD: disklabel.c,v 1.192 2014/02/14 15:03:43 krw Exp $ */
+/* $OpenBSD: disklabel.c,v 1.193 2014/03/18 22:36:30 miod Exp $ */
/*
* Copyright (c) 1987, 1993
@@ -541,7 +541,7 @@ makebootarea(char *boot, struct disklabel *dp)
warnx("bootstrap: xxboot = %s", xxboot);
/*
- * For NUMBOOT > 0 architectures (hp300/hppa/hppa64/landisk/vax)
+ * For NUMBOOT > 0 architectures (hppa/hppa64/landisk/vax)
* up to d_bbsize bytes of ``xxboot'' go in bootarea, the rest
* is remembered and written later following the bootarea.
*/